我安装了一个具有azure客户端的docker映像,每次运行azure命令时都会出现这个错误消息.我的docker建筑文件如下. 这是我跑步发现的结果.名字是libtinfo. 我试着在libtinfoas中安装了c . a forge ncurses.6:没有使用conda环境的版本信息,但它不起作用. 有什么办法解决这个问题吗?谢谢

2022-10-14 22:53:28标签linuxbashdockercondaazure-cli
提问

我安装了一个具有azure客户端的docker映像,每次运行azure命令时都会出现这个错误消息。我的docker建筑文件如下。 这是我跑步发现的结果。-名字是libtinfo。 我试着在libtinfoas中安装了c 。 a - forge ncurses。6:没有使用conda环境的版本信息,但它不起作用。 有什么办法解决这个问题吗?谢谢

FROM mcr.microsoft.com/azureml/openmpi4.1.0-ubuntu20.04:20220714.v1
ENV AZUREML_CONDA_ENVIRONMENT_PATH /azureml-envs
# Create conda environment
RUN conda create -p $AZUREML_CONDA_ENVIRONMENT_PATH \
    python=3.8 pip=21.3.1 -c anaconda -c conda-forge
# Prepend path to AzureML conda environment
ENV PATH $AZUREML_CONDA_ENVIRONMENT_PATH/bin:$PATH
# Install pip dependencies
RUN pip install 'psutil~=5.8.0' \
                'tqdm~=4.62.0' \
                'numpy~=1.21.0' \
                'ipykernel~=6.0' \
                'azureml-core==1.43.0' \
                'azureml-defaults==1.43.0' \
                'azureml-mlflow==1.43.0.post1' \
                'azureml-telemetry==1.43.0'
# This is needed for mpi to locate libpython
ENV LD_LIBRARY_PATH $AZUREML_CONDA_ENVIRONMENT_PATH/lib:$LD_LIBRARY_PATH
# Install AzureML Client
RUN curl -sL https://aka.ms/InstallAzureCLIDeb | bash
RUN az extension add -n ml -y

./usr/lib/x86_64-linux-gnu/libtinfo.so.6.2
./usr/lib/x86_64-linux-gnu/libtinfo.so.6
./opt/miniconda/lib/libtinfo.so.6.3
./opt/miniconda/lib/libtinfo.so.6
./opt/miniconda/pkgs/ncurses-6.3-h7f8727e_2/lib/libtinfo.so.6.3
./opt/miniconda/pkgs/ncurses-6.3-h7f8727e_2/lib/libtinfo.so.6
./azureml-envs/lib/libtinfo.so.6.3
./azureml-envs/lib/libtinfo.so.6

▼版权说明

相关文章也很精彩
推荐内容
更多标签
相关热门
全站排行
随便看看

错说cuoshuo.com——程序员的报错记录

部分内容根据CC版权协议转载,如果您希望取消转载请发送邮件到cuoshuo8@163.com

辽ICP备19011660号-5